%global srcname lexicon
%global common_desc Lexicon is a simple Python 2.6+ and 3.3+ compatible collection of dict\
sub-classes providing extra power.

Name: python-%{srcname}
Version: 1.0.0
Release: 1%{?dist}
Summary: A powerful dict sub-classes for Python

License: BSD
URL: https://github.com/bitprophet/lexicon
Source0: https://github.com/bitprophet/lexicon/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch: noarch


BuildRequires: python2-devel 
BuildRequires: python2-setuptools 

BuildRequires: python3-devel 
BuildRequires: python3-setuptools 

%description 
%{common_desc}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires: python2-six

%description -n python2-%{srcname}
%{common_desc}
This is python2 build.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires: python3-six

%description -n python3-%{srcname}
%{common_desc}
This is python3 build.


%prep
%setup -q -n %{srcname}-%{version}
rm -fr %{pypi_name}.egg-info/

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%doc README.*
%license LICENSE
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}-%{version}-*.egg-info/

%files -n python3-%{srcname}
%doc README.*
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-*.egg-info/

%changelog
* Fri Aug 11 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0
- Revamp the spec to use the new python guidelines.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 01 2014 Athmane Madjoudj <athmane@fedoraproject.org> 0.2.0-1
- Initial spec

